@media print {
    button, .header-actions, .no-print {
        display: none!important;
    }
    body, html {
        overflow: visible;
        height: auto;
        width: auto;
    }
    .ui-datatable, table,tr,td{
       overflow: visible !important;
       height: auto!important;
       width: auto!important;
       max-height: none!important;
       max-width: 100%!important;       
    }
    
}

/* Responsive Table */
@media only screen and (max-width: 100px) {
	.ui-datatable table, .ui-datatable thead, .ui-datatable tbody,
		.ui-datatable th, .ui-datatable td, .ui-datatable tr {
		display: block;
	}
	.ui-datatable thead tr {
		position: absolute;
		top: -9999px;
		left: -9999px;
	}
	.ui-datatable tr {
		margin-bottom: 10px;
	}
	.ui-datatable td {
		position: relative;
		padding-left: 50%;
		text-align: right;
		border: none;
		border-bottom: 1px solid #ddd;
	}
	.ui-datatable td:before {
		position: absolute;
		top: 50%;
		left: 10px;
		transform: translateY(-50%);
		width: 45%;
		white-space: nowrap;
		content: attr(data-label);
		font-weight: bold;
	}
}

@media only screen and (max-width: 750px) {
	.full-only{
	display: none !important; 
	}
	
	#page .class-info{
	flex-direction: column !important;
	align-items:stretch!important;
	}

}
table tr:nth-child(even) {
	background-color: #f2f2f2;
}

table tr:nth-child(odd) {
	background-color: #ffffff;
}

.ui-confirmdialog {
	position: fixed !important;
	top: 50% !important;
	left: 50% !important;
	transform: translate(-50%, -50%) !important;
	margin: 0 !important;
	width: 250px;
	height: 150px;
}

.center {
	text-align: center;
}

.left {
	text-align: left;
}

.right {
	text-align: right;
}

.forbidden::before {
	content: "\f05e"; /* Unicode for the "ban" icon in Font Awesome */
	font-family: "Font Awesome 6 Free";
	/* Specify the Font Awesome font family */
	font-weight: 900; /* Font Awesome Solid weight */
	margin-right: 5px; /* Space between the icon and the text */
	color: red; /* Optional: Color of the icon */
}

.hidden:before {
	content: "\f005"; /* Font Awesome Unicode for star */
	font-family: "Font Awesome 5 Free";
	/* or "Font Awesome 6 Free" depending on the version */
	font-weight: 900;
	/* This may vary depending on the Font Awesome version */
	color: #3498db; /* Text color */
}

.larger {
	font-size: 1.5em;
}

#page .class-info {
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	border-bottom: 1px solid #ccc;
	border-top: 1px solid #ccc;
	flex-wrap: wrap;
	align-items: center;
	padding: 10px;
	margin-bottom: 10px;
	font-size: 12px;
}

#page .class-info>div {
}

#page .students-table {
	border: 1px;
	width: 100%;
	border: 1px solid #f2f2f2;
	border-radius: 5px;
	font-size: 12px;
}

#page .students-table td, #page .students-table th {
	border-bottom: 1px solid #ccc;
	margin: 0px;
	padding: 1px 3px;
	font-size: 12px;
}

#page .filter{
	display: flex;
	flex-direction: row;
	align-items: center;
	justify-content: center;
}

#loading-dialog{
	
}

